## kleopatra 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")

# The RELEASE_SERVICE_VERSION is used by Gpg4win to add the Gpg4win version
if (NOT RELEASE_SERVICE_VERSION)
    set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
endif()
if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}0${RELEASE_SERVICE_VERSION_MICRO}")
else()
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
endif()

set(KLEOPATRA_VERSION_MAJOR "4")
set(KLEOPATRA_VERSION_MINOR "0")
set(KLEOPATRA_VERSION_MICRO "0")

set(kleopatra_version "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}.${KDE_APPLICATIONS_COMPACT_VERSION}")
# The following is for Windows
set(kleopatra_version_win "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}")
set(kleopatra_fileversion_win "${KLEOPATRA_VERSION_MAJOR},${KLEOPATRA_VERSION_MINOR},${KLEOPATRA_VERSION_MICRO},0")
if (NOT KLEOPATRA_DISTRIBUTION_TEXT)
    # This is only used on Windows for the file attributes of Kleopatra
    set(KLEOPATRA_DISTRIBUTION_TEXT "KDE")
endif()

project(kleopatra VERSION ${kleopatra_version})

option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)

# Standalone build. Find / include everything necessary.
set(KF_MIN_VERSION "6.6.0")
set(KIDENTITYMANAGEMENT_VERSION "6.3.3")
set(KMAILTRANSPORT_VERSION "6.3.3")
set(AKONADI_MIME_VERSION "6.3.3")
set(KMIME_VERSION "6.3.3")
set(LIBKLEO_VERSION "6.3.3")
set(QT_REQUIRED_VERSION "6.7.0")
set(MIMETREEPARSER_VERSION "6.3.3")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

if (WIN32)
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  set(KMIME_WANT_VERSION ${KMIME_VERSION})
else ()
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  set(KMIME_WANT_VERSION ${KMIME_VERSION})
endif ()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(FeatureSummary)
include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)

# Find KF6 packages
find_package(KF6 ${KF6_WANT_VERSION}
    REQUIRED COMPONENTS
    Codecs
    ColorScheme
    Config
    CoreAddons
    Crash
    GuiAddons
    I18n
    IconThemes
    ItemModels
    KIO
    WidgetsAddons
    WindowSystem
    XmlGui
    StatusNotifierItem

    OPTIONAL_COMPONENTS
    DocTools
)

set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Documentation tools"
    PURPOSE "Required to generate Kleopatra documentation."
    TYPE OPTIONAL)

# Optional packages
if (WIN32)
  # Only a replacement available for Windows so this
  # is required on other platforms.
  find_package(KF6DBusAddons ${KF6_WANT_VERSION} CONFIG)
  set_package_properties(KF6DBusAddons PROPERTIES DESCRIPTION "Support library to work with DBus"
                         PURPOSE "DBus session integration"
                         URL "https://inqlude.org/libraries/kdbusaddons.html"
                         TYPE OPTIONAL)
else()
  find_package(KF6DBusAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
  set(_kleopatra_dbusaddons_libs KF6::DBusAddons)
endif()

set(HAVE_QDBUS ${Qt6DBus_FOUND})

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
set(QGPGME_NAME "QGpgmeQt6")
find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
if (${QGPGME_NAME}_VERSION VERSION_GREATER_EQUAL "1.24.0")
    set(QGPGME_FILE_JOBS_SUPPORT_DIRECT_FILE_IO 1)
    set(QGPGME_IMPORT_JOB_SUPPORTS_IMPORT_OPTIONS 1)
    set(QGPGME_SUPPORTS_PROCESS_ALL_SIGNATURES 1)
endif()

find_package(KPim6Libkleo ${LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_WANT_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${KIDENTITYMANAGEMENT_VERSION} CONFIG)
find_package(KPim6MailTransport ${KMAILTRANSPORT_VERSION} CONFIG)
find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG)
find_package(KPim6MimeTreeParserWidgets ${MIMETREEPARSER_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${LIBKLEO_MODULE_PATH} ${CMAKE_MODULE_PATH})

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network PrintSupport)

find_package(LibAssuan ${LIBASSUAN_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibAssuan PROPERTIES
  TYPE REQUIRED
  PURPOSE "Needed for Kleopatra to act as the GnuPG UI Server"
)
find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)

set(kleopatra_release FALSE)

if(NOT kleopatra_release)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        RESULT_VARIABLE rc
                        ERROR_QUIET)
        if(rc EQUAL 0)
            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%h ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_REVISION)
            string(REGEX REPLACE "\n" "" Kleopatra_WC_REVISION "${Kleopatra_WC_REVISION}")

            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%cI ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_LAST_CHANGED_DATE)
            string(REGEX REPLACE "^([0-9]+)-([0-9]+)-([0-9]+)T([0-9]+):([0-9]+):([0-9]+).*$" "\\1\\2\\3T\\4\\5\\6"
                   Kleopatra_WC_LAST_CHANGED_DATE "${Kleopatra_WC_LAST_CHANGED_DATE}")

            set(kleopatra_version "${kleopatra_version}+git${Kleopatra_WC_LAST_CHANGED_DATE}~${Kleopatra_WC_REVISION}")
        endif()
    endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version-kleopatra.h.in ${CMAKE_CURRENT_BINARY_DIR}/version-kleopatra.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kleopatra.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kleopatra.h)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.4.0)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")
endif()
if(MINGW)
    # we do not care about different signedness of passed pointer arguments
    add_compile_options($<$<COMPILE_LANGUAGE:C>:-Wno-pointer-sign>)
endif()

add_definitions(-DQT_NO_EMIT)
remove_definitions(-DQT_NO_FOREACH)

# Disable the use of QStringBuilder for operator+ to prevent crashes when
# returning the result of concatenating string temporaries in lambdas. We do
# this for example in some std::transform expressions.
# This is a known issue: https://bugreports.qt.io/browse/QTBUG-47066
# Alternatively, one would always have to remember to force the lambdas to
# return a QString instead of QStringBuilder, but that's just too easy to
# forget and, unfortunately, the compiler doesn't issue a warning if one forgets
# this. So, it's just too dangerous.
# One can still use QStringBuilder explicitly with the operator% if necessary.
remove_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_USE_QSTRINGBUILDER)

kde_enable_exceptions()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

ecm_qt_install_logging_categories(
        EXPORT KLEOPATRA
        FILE kleopatra.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(icons)
add_subdirectory(mimetypes)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if (NOT DISABLE_KWATCHGNUPG)
    add_subdirectory(kwatchgnupg)
endif()
add_subdirectory(libkleopatraclient)
add_subdirectory(conf)

if(WIN32)
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_win.cpp)
  set(_kleopatra_extra_SRCS
      pics/gpg4win.qrc
      selftest/registrycheck.cpp selftest/registrycheck.h
      utils/gnupg-registry.c
      utils/userinfo_win.cpp
      utils/winapi-helpers.cpp utils/winapi-helpers.h
      utils/windowsprocessdevice.cpp utils/windowsprocessdevice.h
      versioninfo.rc kleopatra.w32-manifest
  )
else()
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_unix.cpp)
  set(_kleopatra_extra_SRCS)
endif()

set(_kleopatra_uiserver_SRCS
    ${_kleopatra_extra_uiserver_SRCS}

    selftest/uiservercheck.cpp selftest/uiservercheck.h
    uiserver/assuanserverconnection.cpp uiserver/assuanserverconnection.h
    uiserver/createchecksumscommand.cpp uiserver/createchecksumscommand.h
    uiserver/decryptverifycommandemailbase.cpp uiserver/decryptverifycommandemailbase.h
    uiserver/decryptverifycommandfilesbase.cpp uiserver/decryptverifycommandfilesbase.h
    uiserver/echocommand.cpp uiserver/echocommand.h
    uiserver/encryptcommand.cpp uiserver/encryptcommand.h
    uiserver/importfilescommand.cpp uiserver/importfilescommand.h
    uiserver/prepencryptcommand.cpp uiserver/prepencryptcommand.h
    uiserver/prepsigncommand.cpp uiserver/prepsigncommand.h
    uiserver/selectcertificatecommand.cpp
    uiserver/sessiondata.cpp uiserver/sessiondata.h
    uiserver/signcommand.cpp uiserver/signcommand.h
    uiserver/signencryptfilescommand.cpp
    uiserver/uiserver.cpp
    uiserver/verifychecksumscommand.cpp uiserver/verifychecksumscommand.h
  )

set(_kleopatra_uiserver_extra_libs LibAssuan::LibAssuan LibGpgError::LibGpgError)

if(HAVE_GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
else()
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
endif()

if(KPim6IdentityManagementCore_FOUND AND KPim6MailTransport_FOUND AND KPim6AkonadiMime_FOUND)
  set(_kleopatra_mail_libs
      KPim6::IdentityManagementCore # Export OpenPGP keys using WKS
      KPim6::MailTransport
      KPim6::AkonadiMime
  )
  add_definitions(-DMAILAKONADI_ENABLED)
endif()

ki18n_wrap_ui(_kleopatra_uiserver_SRCS crypto/gui/signingcertificateselectionwidget.ui)

set(_kleopatra_SRCS
  ${_kleopatra_extra_SRCS}

  accessibility/accessiblelink.cpp
  accessibility/accessiblelink_p.h
  accessibility/accessiblerichtextlabel.cpp
  accessibility/accessiblerichtextlabel_p.h
  accessibility/accessiblevaluelabel.cpp
  accessibility/accessiblevaluelabel_p.h
  accessibility/accessiblewidgetfactory.cpp
  accessibility/accessiblewidgetfactory.h
  commands/addadskcommand.cpp
  commands/addadskcommand.h
  commands/addsubkeycommand.cpp
  commands/addsubkeycommand.h
  commands/adduseridcommand.cpp
  commands/adduseridcommand.h
  commands/authenticatepivcardapplicationcommand.cpp
  commands/authenticatepivcardapplicationcommand.h
  commands/cardcommand.cpp
  commands/cardcommand.h
  commands/certificatetocardcommand.cpp
  commands/certificatetocardcommand.h
  commands/certificatetopivcardcommand.cpp
  commands/certificatetopivcardcommand.h
  commands/certifycertificatecommand.cpp
  commands/certifycertificatecommand.h
  commands/certifygroupcommand.cpp
  commands/certifygroupcommand.h
  commands/changeexpirycommand.cpp
  commands/changeexpirycommand.h
  commands/changeownertrustcommand.cpp
  commands/changeownertrustcommand.h
  commands/changepassphrasecommand.cpp
  commands/changepassphrasecommand.h
  commands/changepincommand.cpp
  commands/changepincommand.h
  commands/changeroottrustcommand.cpp
  commands/changeroottrustcommand.h
  commands/checksumcreatefilescommand.cpp
  commands/checksumcreatefilescommand.h
  commands/checksumverifyfilescommand.cpp
  commands/checksumverifyfilescommand.h
  commands/clearcrlcachecommand.cpp
  commands/clearcrlcachecommand.h
  commands/command.cpp
  commands/command.h
  commands/createcsrforcardkeycommand.cpp
  commands/createcsrforcardkeycommand.h
  commands/creategroupcommand.cpp
  commands/creategroupcommand.h
  commands/createopenpgpkeyfromcardkeyscommand.cpp
  commands/createopenpgpkeyfromcardkeyscommand.h
  commands/decryptverifyclipboardcommand.cpp
  commands/decryptverifyclipboardcommand.h
  commands/decryptverifyfilescommand.cpp
  commands/decryptverifyfilescommand.h
  commands/deletecertificatescommand.cpp
  commands/deletecertificatescommand.h
  commands/detailscommand.cpp
  commands/detailscommand.h
  commands/dumpcertificatecommand.cpp
  commands/dumpcertificatecommand.h
  commands/dumpcrlcachecommand.cpp
  commands/dumpcrlcachecommand.h
  commands/encryptclipboardcommand.cpp
  commands/encryptclipboardcommand.h
  commands/exportcertificatecommand.cpp
  commands/exportcertificatecommand.h
  commands/exportgroupscommand.cpp
  commands/exportgroupscommand.h
  commands/exportopenpgpcertstoservercommand.cpp
  commands/exportopenpgpcertstoservercommand.h
  commands/exportopenpgpcerttoprovidercommand.cpp
  commands/exportopenpgpcerttoprovidercommand.h
  commands/exportpaperkeycommand.cpp
  commands/exportpaperkeycommand.h
  commands/exportsecretkeycommand.cpp
  commands/exportsecretkeycommand.h
  commands/exportsecretsubkeycommand.cpp
  commands/exportsecretsubkeycommand.h
  commands/generateopenpgpcardkeysandcertificatecommand.cpp
  commands/generateopenpgpcardkeysandcertificatecommand.h
  commands/genrevokecommand.cpp
  commands/genrevokecommand.h
  commands/gnupgprocesscommand.cpp
  commands/gnupgprocesscommand.h
  commands/importcertificatefromclipboardcommand.cpp
  commands/importcertificatefromclipboardcommand.h
  commands/importcertificatefromdatacommand.cpp
  commands/importcertificatefromdatacommand.h
  commands/importcertificatefromfilecommand.cpp
  commands/importcertificatefromfilecommand.h
  commands/importcertificatefromkeyservercommand.cpp
  commands/importcertificatefromkeyservercommand.h
  commands/importcertificatefrompivcardcommand.cpp
  commands/importcertificatefrompivcardcommand.h
  commands/importcertificatescommand.cpp
  commands/importcertificatescommand.h
  commands/importcrlcommand.cpp
  commands/importcrlcommand.h
  commands/importpaperkeycommand.cpp
  commands/importpaperkeycommand.h
  commands/keytocardcommand.cpp
  commands/keytocardcommand.h
  commands/lookupcertificatescommand.cpp
  commands/lookupcertificatescommand.h
  commands/newcertificatesigningrequestcommand.cpp
  commands/newcertificatesigningrequestcommand.h
  commands/newopenpgpcertificatecommand.cpp
  commands/newopenpgpcertificatecommand.h
  commands/openpgpgeneratecardkeycommand.cpp
  commands/openpgpgeneratecardkeycommand.h
  commands/pivgeneratecardkeycommand.cpp
  commands/pivgeneratecardkeycommand.h
  commands/refreshcertificatescommand.cpp
  commands/refreshcertificatescommand.h
  commands/refreshopenpgpcertscommand.cpp
  commands/refreshopenpgpcertscommand.h
  commands/refreshx509certscommand.cpp
  commands/refreshx509certscommand.h
  commands/reloadkeyscommand.cpp
  commands/reloadkeyscommand.h
  commands/revokecertificationcommand.cpp
  commands/revokecertificationcommand.h
  commands/revokekeycommand.cpp
  commands/revokekeycommand.h
  commands/revokeuseridcommand.cpp
  commands/revokeuseridcommand.h
  commands/selftestcommand.cpp
  commands/selftestcommand.h
  commands/setinitialpincommand.cpp
  commands/setinitialpincommand.h
  commands/setpivcardapplicationadministrationkeycommand.cpp
  commands/setpivcardapplicationadministrationkeycommand.h
  commands/setprimaryuseridcommand.cpp
  commands/setprimaryuseridcommand.h
  commands/signclipboardcommand.cpp
  commands/signclipboardcommand.h
  commands/signencryptfilescommand.cpp
  commands/signencryptfilescommand.h
  commands/signencryptfoldercommand.cpp
  commands/signencryptfoldercommand.h
  commands/togglecertificateenabledcommand.cpp
  commands/togglecertificateenabledcommand.h
  commands/viewemailfilescommand.cpp
  commands/viewemailfilescommand.h
  conf/configuredialog.cpp
  conf/configuredialog.h
  conf/groupsconfigdialog.cpp
  conf/groupsconfigdialog.h
  conf/groupsconfigwidget.cpp
  conf/groupsconfigwidget.h
  crypto/autodecryptverifyfilescontroller.cpp
  crypto/autodecryptverifyfilescontroller.h
  crypto/certificateresolver.cpp
  crypto/certificateresolver.h
  crypto/checksumsutils_p.cpp
  crypto/checksumsutils_p.h
  crypto/controller.cpp
  crypto/controller.h
  crypto/createchecksumscontroller.cpp
  crypto/createchecksumscontroller.h
  crypto/decryptverifyemailcontroller.cpp
  crypto/decryptverifyemailcontroller.h
  crypto/decryptverifyfilescontroller.cpp
  crypto/decryptverifyfilescontroller.h
  crypto/decryptverifytask.cpp
  crypto/decryptverifytask.h
  crypto/encryptemailcontroller.cpp
  crypto/encryptemailcontroller.h
  crypto/encryptemailtask.cpp
  crypto/encryptemailtask.h
  crypto/gui/certificatelineedit.cpp
  crypto/gui/certificatelineedit.h
  crypto/gui/certificateselectionline.cpp
  crypto/gui/certificateselectionline.h
  crypto/gui/decryptverifyfilesdialog.cpp
  crypto/gui/decryptverifyfilesdialog.h
  crypto/gui/decryptverifyfileswizard.cpp
  crypto/gui/decryptverifyfileswizard.h
  crypto/gui/decryptverifyoperationwidget.cpp
  crypto/gui/decryptverifyoperationwidget.h
  crypto/gui/encryptemailwizard.cpp
  crypto/gui/encryptemailwizard.h
  crypto/gui/newresultpage.cpp
  crypto/gui/newresultpage.h
  crypto/gui/objectspage.cpp
  crypto/gui/objectspage.h
  crypto/gui/resolverecipientspage.cpp
  crypto/gui/resolverecipientspage.h
  crypto/gui/resultitemwidget.cpp
  crypto/gui/resultitemwidget.h
  crypto/gui/resultlistwidget.cpp
  crypto/gui/resultlistwidget.h
  crypto/gui/resultpage.cpp
  crypto/gui/resultpage.h
  crypto/gui/signemailwizard.cpp
  crypto/gui/signemailwizard.h
  crypto/gui/signencryptemailconflictdialog.cpp
  crypto/gui/signencryptemailconflictdialog.h
  crypto/gui/signencryptfileswizard.cpp
  crypto/gui/signencryptfileswizard.h
  crypto/gui/signencryptwidget.cpp
  crypto/gui/signencryptwidget.h
  crypto/gui/signencryptwizard.cpp
  crypto/gui/signencryptwizard.h
  crypto/gui/signerresolvepage.cpp
  crypto/gui/signerresolvepage.h
  crypto/gui/signingcertificateselectiondialog.cpp
  crypto/gui/signingcertificateselectiondialog.h
  crypto/gui/signingcertificateselectionwidget.cpp
  crypto/gui/signingcertificateselectionwidget.h
  crypto/gui/unknownrecipientwidget.cpp
  crypto/gui/unknownrecipientwidget.h
  crypto/gui/verifychecksumsdialog.cpp
  crypto/gui/verifychecksumsdialog.h
  crypto/gui/wizard.cpp
  crypto/gui/wizard.h
  crypto/gui/wizardpage.cpp
  crypto/gui/wizardpage.h
  crypto/newsignencryptemailcontroller.cpp
  crypto/newsignencryptemailcontroller.h
  crypto/recipient.cpp
  crypto/recipient.h
  crypto/sender.cpp
  crypto/sender.h
  crypto/signemailcontroller.cpp
  crypto/signemailcontroller.h
  crypto/signemailtask.cpp
  crypto/signemailtask.h
  crypto/signencryptfilescontroller.cpp
  crypto/signencryptfilescontroller.h
  crypto/signencrypttask.cpp
  crypto/signencrypttask.h
  crypto/task.cpp
  crypto/task.h
  crypto/taskcollection.cpp
  crypto/taskcollection.h
  crypto/verifychecksumscontroller.cpp
  crypto/verifychecksumscontroller.h
  dialogs/addsubkeydialog.cpp
  dialogs/addsubkeydialog.h
  dialogs/adduseriddialog.cpp
  dialogs/adduseriddialog.h
  dialogs/animatedexpander.cpp
  dialogs/animatedexpander.h
  dialogs/certificatedetailsdialog.cpp
  dialogs/certificatedetailsdialog.h
  dialogs/certificatedetailsinputwidget.cpp
  dialogs/certificatedetailsinputwidget.h
  dialogs/certificatedetailswidget.cpp
  dialogs/certificatedetailswidget.h

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(gnupg_home)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(
  ${CMAKE_SOURCE_DIR}/src/
  ${CMAKE_BINARY_DIR}/src/
  ${GPGME_INCLUDES}
)

########### next target ###############

set(test_verify_SRCS test_verify.cpp)

add_definitions(-DKLEO_TEST_GNUPGHOME="${CMAKE_CURRENT_BINARY_DIR}/gnupg_home")
add_definitions(-DKLEO_TEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}")


add_executable(test_verify  ${test_verify_SRCS})
add_test(NAME test_verify COMMAND test_verify)
ecm_mark_as_test(test_verify)

target_link_libraries(test_verify
  KPim6::Libkleo
  Qt::Test
  KF6::CoreAddons
  KF6::I18n
  Qt::Widgets
)

target_link_libraries(test_verify QGpgmeQt6)

########### next target ###############

  # this doesn't yet work on Windows

  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_2)

  set(test_uiserver_SRCS test_uiserver.cpp ${CMAKE_SOURCE_DIR}/src/utils/wsastarter.cpp)

#FIXME: omitting TEST makes test_uiserver print output again on a Win32 console;
# find a better fix for this issue
  if(WIN32)
    add_executable(test_uiserver ${test_uiserver_SRCS})
  else()
    add_executable(test_uiserver ${test_uiserver_SRCS})
  endif()

  target_link_libraries(test_uiserver KF6::I18n KPim6::Libkleo LibAssuan::LibAssuan LibGpgError::LibGpgError)

  target_link_libraries(test_uiserver QGpgmeQt6)

=== src/conf/CMakeLists.txt ===
include_directories(${kleopatra_SOURCE_DIR}/src)


set(_kcm_kleopatra_libkleopatraclient_extra_SRCS
  smimevalidationconfigurationwidget.cpp
  smimevalidationconfigurationpage.cpp
  cryptooperationsconfigwidget.cpp
  cryptooperationsconfigpage.cpp
  smimevalidationconfigurationwidget.h
  smimevalidationconfigurationpage.h
  cryptooperationsconfigwidget.h
  cryptooperationsconfigpage.h
  smartcardconfigpage.cpp
  smartcardconfigpage.h
)

ki18n_wrap_ui(_kcm_kleopatra_libkleopatraclient_extra_SRCS
  smimevalidationconfigurationwidget.ui
)

kconfig_add_kcfg_files(_kcm_kleopatra_libkleopatraclient_extra_SRCS
  ${kleopatra_SOURCE_DIR}/src/kcfg/smimevalidationpreferences.kcfgc
)

set(_kcm_kleopatra_libkleopatraclient_extra_LIBS kleopatraclientgui)


set(kcm_kleopatra_PART_SRCS
  dirservconfigpage.cpp
  appearanceconfigpage.cpp
  appearanceconfigwidget.cpp
  gnupgsystemconfigurationpage.cpp
  dirservconfigpage.h
  appearanceconfigpage.h
  appearanceconfigwidget.h
  gnupgsystemconfigurationpage.h
  labelledwidget.cpp labelledwidget.h
  labelledwidget.cpp labelledwidget.h
  kleoconfigmodule.cpp
  kleoconfigmodule.h
  ${kleopatra_BINARY_DIR}/src/kleopatra_debug.cpp
  ${_kcm_kleopatra_libkleopatraclient_extra_SRCS}
)


ki18n_wrap_ui(kcm_kleopatra_PART_SRCS
  smimevalidationconfigurationwidget.ui
)

kconfig_add_kcfg_files(kcm_kleopatra_PART_SRCS
  ${kleopatra_SOURCE_DIR}/src/kcfg/tooltippreferences.kcfgc
  ${kleopatra_SOURCE_DIR}/src/kcfg/emailoperationspreferences.kcfgc
  ${kleopatra_SOURCE_DIR}/src/kcfg/fileoperationspreferences.kcfgc
  ${kleopatra_SOURCE_DIR}/src/kcfg/settings.kcfgc
)

add_library(kcm_kleopatra_static STATIC ${kcm_kleopatra_PART_SRCS})
set_property(TARGET kcm_kleopatra_static PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(kcm_kleopatra_static
  KPim6::Libkleo
  KF6::ConfigGui
  KF6::I18n
  KF6::IconThemes
  KF6::IconWidgets
  KF6::WidgetsAddons
  ${_kcm_kleopatra_extra_libs}
  ${_kleopatra_dbusaddons_libs}
  ${_kcm_kleopatra_libkleopatraclient_extra_LIBS}
)

if (NOT WIN32)
  add_library(kleopatra_config_gnupgsystem MODULE kcm_gnupgsystemconfigurationpage.cpp)
  target_link_libraries(kleopatra_config_gnupgsystem kcm_kleopatra_static KF6::CoreAddons)

  install(TARGETS kleopatra_config_gnupgsystem DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kleopatra)
endif()

=== src/libkleopatraclient/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(libkleopatraclient_version "1.3.0")
set(libkleopatraclient_soversion "1")

add_subdirectory(core)
add_subdirectory(gui)

=== src/libkleopatraclient/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

if(WIN32)
  set(_kleopatraclientcore_extra_SRCS ../../utils/gnupg-registry.c)
else()
  set(_kleopatraclientcore_extra_SRCS)
endif()

ecm_qt_declare_logging_category(_kleopatraclientcore_common_SRCS HEADER libkleopatraclientcore_debug.h IDENTIFIER LIBKLEOPATRACLIENTCORE_LOG CATEGORY_NAME org.kde.pim.libkleopatraclientcore
        DESCRIPTION "kleopatra client core (kleopatra)"
        OLD_CATEGORY_NAMES log_libkleopatraclientcore
        EXPORT KLEOPATRA
    )


add_library(kleopatraclientcore
  ${_kleopatraclientcore_extra_SRCS}
  command.cpp
  selectcertificatecommand.cpp
  libkleopatraclientcore_debug.cpp
  command.h
  selectcertificatecommand.h
  libkleopatraclientcore_debug.h
  ${_kleopatraclientcore_common_SRCS}
)
generate_export_header(kleopatraclientcore BASE_NAME kleopatraclientcore)

set_target_properties(kleopatraclientcore PROPERTIES
  VERSION ${libkleopatraclient_version}
  SOVERSION ${libkleopatraclient_soversion}
)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kleopatraclientcore PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kleopatraclientcore LibAssuan::LibAssuan LibGpgError::LibGpgError Qt::Widgets KF6::I18n Gpgmepp)

install(TARGETS kleopatraclientcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kleopatra (4:24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patches to fix build failures with GpgME 2 (Closes:
    #1117236).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Oct 2025 13:06:08 +0200

kleopatra (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:59 +0100

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               git,
               libakonadimime-dev (>= 4:24.12.3~),
               libassuan-dev (>= 2.4.2~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.3~),
               libkleo-dev (>= 4:24.12.3~),
               libkmailtransport-dev (>= 24.12.3~),
               libkmime-dev (>= 24.12.3~),
               libmimetreeparser-dev (>= 24.12.3~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kleopatra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git
Rules-Requires-Root: no

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme,
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 25.04.0

=== debian/changelog ===
kleopatra (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:52:14 +0100

kleopatra (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kleopatra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               dbus <!nocheck>,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -33,19 +34,19 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkleo-dev (>= 4:24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
-               libmimetreeparser-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 25.04.0~),
+               libkleo-dev (>= 4:25.04.0~),
+               libkmailtransport-dev (>= 25.04.0~),
+               libkmime-dev (>= 25.04.0~),
+               libmimetreeparser-dev (>= 25.04.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kleopatra
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
 Rules-Requires-Root: no
 
 Package: kleopatra

## kleopatra 25.04.1

=== debian/changelog ===
kleopatra (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:09:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.1~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.0~),
-               libkleo-dev (>= 4:25.04.0~),
-               libkmailtransport-dev (>= 25.04.0~),
-               libkmime-dev (>= 25.04.0~),
-               libmimetreeparser-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.1~),
+               libkleo-dev (>= 4:25.04.1~),
+               libkmailtransport-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.04.1~),
+               libmimetreeparser-dev (>= 25.04.1~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.04.2

=== debian/changelog ===
kleopatra (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:49:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.2~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.1~),
-               libkleo-dev (>= 4:25.04.1~),
-               libkmailtransport-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
-               libmimetreeparser-dev (>= 25.04.1~),
+               libkidentitymanagement-dev (>= 25.04.2~),
+               libkleo-dev (>= 4:25.04.2~),
+               libkmailtransport-dev (>= 25.04.2~),
+               libkmime-dev (>= 25.04.2~),
+               libmimetreeparser-dev (>= 25.04.2~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.04.3

=== debian/changelog ===
kleopatra (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.04.2~),
+               libakonadimime-dev (>= 4:25.04.3~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.2~),
-               libkleo-dev (>= 4:25.04.2~),
-               libkmailtransport-dev (>= 25.04.2~),
-               libkmime-dev (>= 25.04.2~),
-               libmimetreeparser-dev (>= 25.04.2~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkleo-dev (>= 4:25.04.3~),
+               libkmailtransport-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
+               libmimetreeparser-dev (>= 25.04.3~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.07.80

=== debian/changelog ===
kleopatra (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.07.80~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkleo-dev (>= 4:25.04.3~),
-               libkmailtransport-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
-               libmimetreeparser-dev (>= 25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               libmimetreeparser-dev (>= 25.07.80~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.07.90

=== debian/changelog ===
kleopatra (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.90~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libmimetreeparser-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libmimetreeparser-dev (>= 25.07.90~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.08.0

=== debian/changelog ===
kleopatra (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:53:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.08.0~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               libmimetreeparser-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               libmimetreeparser-dev (>= 25.08.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
